LEFSE_FORMAT_INPUT.PY(1)

NAME
lefse_format_input.py - determine features of organisms, clades, taxonomic units, genes

DESCRIPTION
usage: lefse_format_input.py [-h] [--output_table OUTPUT_TABLE] [-f {c,r}]

[-c [1..n_feats]] [-s [1..n_feats]] [-o float]
    [-u [1..n_feats]] [-m {f,s}] [-n int] [-biom_c BIOM_CLASS] [-biom_s BIOM_SUBCLASS] INPUT_FILE OUTPUT_FILE

LEfSe formatting modules

  positional arguments:

INPUT_FILE
    the input file, feature hierarchical level can be specified with | or . and those symbols must not be present for other reasons in the input file.

OUTPUT_FILE
    the output file containing the data for LEfSe

  optional arguments:

-h, --help
    show this help message and exit

--output_table OUTPUT_TABLE
    the formatted table in txt format

-f {c,r}
    set whether the features are on rows (default) or on columns

-c [1..n_feats]
    set which feature use as class (default 1)

-s [1..n_feats]
    set which feature use as subclass (default -1 meaning no subclass)

-o float
    set the normalization value (default -1.0 meaning no normalization)

-u [1..n_feats]
    set which feature use as subject (default -1 meaning no subject)

-m {f,s}
    set the policy to adopt with missing values: f removes the features with missing values, s removes samples with missing values (default f)

-n int
    set the minimum cardinality of each subclass (subclasses with low cardinalities will be grouped together, if the cardinality is still low, no pairwise comparison will be performed with them)

-biom_c BIOM_CLASS
    For biom input files: Set which feature use as class

-biom_s BIOM_SUBCLASS
    For biom input files: set which feature use as subclass

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.